Home | All Classes | Grouped Classes | Index | Search

# CL_Float::CL_Float

Constructs a float

    	CL_Float(
    		const std::string& res_id, CL_ResourceManager* resources);

    	CL_Float(
    		const std::string& res_id, CL_ResourceManager* resources, float def_value);

Parameters:

res_id
  Resource id of a float resource to be constructed from.
resources
  Resource manager to load resource from.
def_value
  Default value to use if resource is not found.

See also:

CL_Float | CL_Resource | CL_ResourceManager

Questions or comments, write to the ClanLib mailing list.